Package be.vlaanderen.mercurius.vsb.common.v2

# Class EventMessageType

java.lang.Object
be.vlaanderen.mercurius.vsb.common.v2.EventMessageType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class EventMessageType extends Object implements Serializable
Message type for an event

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Event" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}EventType"/>
             <element name="LBDossier" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}LBDossierType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventMessageType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventType`
  `getEvent()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">Action event naam.</p>
  `LBDossierType`
  `getLBDossier()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">LBDossier</p>
  `void`
  `setEvent(EventType value)`
  Sets the value of the event property.
  `void`
  `setLBDossier(LBDossierType value)`
  Sets the value of the lbDossier property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventMessageType

    public EventMessageType()

- ## Method Details

  - ### getEvent

    public EventType getEvent()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">Action event naam.</p>

    Returns:
      possible object is `EventType`

  - ### setEvent

    public void setEvent(EventType value)
    Sets the value of the event property.
    Parameters:
      `value` - allowed object is `EventType`
    See Also:
      - `getEvent()`

  - ### getLBDossier

    public LBDossierType getLBDossier()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">LBDossier</p>

    Returns:
      possible object is `LBDossierType`

  - ### setLBDossier

    public void setLBDossier(LBDossierType value)
    Sets the value of the lbDossier property.
    Parameters:
      `value` - allowed object is `LBDossierType`
    See Also:
      - `getLBDossier()`